'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx concat.n
'\" 
.so man.macros
.TH "::listx concat" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx concat \- Concatenating lists
.SH "SYNOPSIS"
\fB ::listx concat \fIlist\fR...
.BE
.SH "DESCRIPTION"
.PP
The subcommand \fBconcat\fR takes zero or more \fIlist\fRs as its
arguments. All elements of the specified lists are inserted into a new
list which is then returned.
.PP
The command maintains the order of elements, i.e. elements from the
first list are inserted before elements of the second list, etc., and
in the order they had in the arguments.
.SH "EXAMPLES"
.CS
tclsh> ::listx concat {1 2 3} {4 5 6}
1 2 3 4 5 6
tclsh> ::listx concat {1 2 3} {{4 5} 6}
1 2 3 {4 5} 6
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
list, concatenation
