'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx index.n
'\" 
.so man.macros
.TH "::listx index" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx index \- Selecting from lists
.SH "SYNOPSIS"
\fB ::listx index \fIlist\fR \fIselector\fR...
.BE
.SH "DESCRIPTION"
.PP
This command takes a \fIlist\fR and one or more \fIselectors\fR as
its arguments and returns a new list containing the selected elements
of the input \fIlist\fR. The complementary subcommand is \fBremove\fR.
.PP
If a single \fIselector\fR is specified after the \fIlist\fR the
command computes the selection specified by that selector and returns
that as its own result.
.PP
If more than one \fIselector\fR is specified the command computes the
selections specified by each of these selectors and then returns a list
containing these selections as its result.
.PP
The various possible forms for a \fIselector\fR are described in a separate
manpage, \fBselectors\fR.
.SH "EXAMPLES"
.CS
tclsh> ::listx index {a b a f a b e} 0
a
tclsh> ::listx index {a b a f a b e} 0 4
a a
tclsh> ::listx index {a b a f a b e} {0 4}
a a
tclsh> ::listx index {a b a f a b e} 0 {0 4}
a {a a}
tclsh> ::listx index {a b a f a b e} {1 ... | 2}
b f b
tclsh> ::listx index {a b a f a b e} {0 ... | 2}
a a a e
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
list, index, selection

