'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx join.n
'\" 
.so man.macros
.TH "::listx join" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx join \- Create a string by joining together list elements
.SH "SYNOPSIS"
\fB ::listx join \fIlist\fR ?\fIjoinString\fR?
.BE
.SH "DESCRIPTION"
.PP
The \fIlist\fR argument must be a valid Tcl list.  This command
returns the string formed by joining all of the elements of \fIlist\fR
together with \fIjoinString\fR separating each adjacent pair of
elements.  The \fIjoinString\fR argument defaults to a space
character.
.SH "EXAMPLES"
.CS
tclsh> ::list join {a b c d e} {}
abcde
tclsh> ::list join {a b c d e} -
a-b-c-d-e
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
element, join, list, separator
