'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) lisp.n
'\" 
.so man.macros
.TH "lisp" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
lisp \- List accessors
.SH "SYNOPSIS"
\fB ::listx first \fIlist\fR
\fB ::listx last  \fIlist\fR
\fB ::listx head  \fIlist\fR
\fB ::listx tail  \fIlist\fR
.BE
.SH "DESCRIPTION"
.PP
The subcommands described here are all wrappers to the subcommand
\fBindex\fR and provide convenient access to several often important
elements and ranges of the \fIlist\fR.

\fBFirst\fR returns the first element of the specified \fIlist\fR and
is thus equivalent to ``\fB::listx index\fR \fIlist\fR 0''.

\fBLast\fR returns the last element of the specified \fIlist\fR and
is thus equivalent to ``\fB::listx index\fR \fIlist\fR end''.

\fBHead\fR returns all elements of the specified \fIlist\fR except for
the last and is thus equivalent to
``\fB::listx range\fR \fIlist\fR 0 end-1''.

\fBTail\fR returns all elements of the specified \fIlist\fR except for
the first and is thus equivalent to
``\fB::listx range\fR \fIlist\fR 1 end''.
.SH "EXAMPLES"
.CS
tclsh> ::listx first {a b c d}
a

tclsh> ::listx last {a b c d}
d

tclsh> ::listx head {a b c d}
a b c

tclsh> ::listx tail {a b c d}
b c d
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
index, element, list, lisp, selection
