'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx map.n
'\" 
.so man.macros
.TH "::listx map" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx map \- Applying a function to a list
.SH "SYNOPSIS"
\fB ::listx map \fIlist\fR \fIcmd\fR
.BE
.SH "DESCRIPTION"
.PP
The subcommand \fBmap\fR takes a \fIlist\fR and a command prefix
(\fIcmd\fR) as its arguments.  It expects that the specified command
prefix (\fIcmd\fR) is called with a single argument. It applies the
command to each element of the list, concatenates the results it got
into a new list, and returns that list as its result.
.SH "EXAMPLES"
.CS
tclsh> # squaring all elements in a list
tclsh> proc sqr  {x}   {expr {$x*$x}}
tclsh> ::listx map {1 2 3 4 5} sqr
1 4 9 16 25
tclsh> # Retrieving the second column from a matrix
tclsh> # given as list of lists.
tclsh> proc projection {n list} {::listx index $list $n}
tclsh> ::listx map {{a b c} {1 2 3} {d f g}} {projection 1}
b 2 f
.CE
.SH "SEE ALSO"
listx(n), fold(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
list, map
