'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx merge.n
'\" 
.so man.macros
.TH "::listx merge" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx merge \- Merging lists
.SH "SYNOPSIS"
\fB ::listx merge \fR?-group? ?--? \fIlist\fR...
.BE
.SH "DESCRIPTION"
.PP
The subcommand \fBmerge\fR is similar to \fBconcat\fR, but not
quite. It is the complement to \fBsplit\fR.  It takes one or more
\fIlist\fRs as its arguments and merges their contents into one
list. The order of elements in the new list depends on the options
given to the subcommand.
.PP
If the lists given to the command are not of equal length the command
will treat them as such nevertheless, by virtually filling the missing
items with empty strings, to length of the longest list.
.PP
If \fI-group\fR is present the lists are simply concatenated together.
See the first example.
.PP
If \fI-group\fR is \fBnot\fR present the new list is formed by taking
the first elements of all lists and concatenating them
together, then taking the second elements of all lists, and
so on until all elements are processed. See the second example.
.SH "EXAMPLES"
.CS
tclsh> ::listx merge -group {a b c} {d e f} {g h}
a b c d e f g h {}
tclsh> ::listx merge {a c e} {b d}
a b c d e {}
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
list, merging
