'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) queue.n
'\" 
.so man.macros
.TH "queue" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
queue \- Queue accessors
.SH "SYNOPSIS"
\fB ::listx q_add    \fIvar\fR \fIelement\fR
\fB ::listx q_top    \fIvar\fR
\fB ::listx q_remove \fIvar\fR
.BE
.SH "DESCRIPTION"
.PP
The subcommands described here provide queue-like handling of a list
stored in a variable. That means that new elements are added at one
end of the list and removed from the other.

The subcommand \fBq_add\fR takes the name of a \fIvar\fRiable,
interprets the contents of that variable as a list/queue and appends
the new \fIelement\fR to the queue. The resulting list is returned.

The subcommand \fBq_remove\fR takes the name of a \fIvar\fRiable,
interprets the contents of that variable as a list/queue and removes
the element at the top of the queue. Nothing is returned.

The subcommand \fBq_top\fR takes the name of a \fIvar\fRiable,
interprets the contents of that variable as a list/queue and returns
the element at the top of the queue.
.SH "EXAMPLES"
.CS
tclsh> set q {}

tclsh> ::listx q_add q a
a

tclsh> ::listx q_add q b
a b

tclsh> ::listx q_top q
a

tclsh> ::listx q_remove q

tclsh> ::listx q_top q
b
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
queue, element, list, accessors
