'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx remove.n
'\" 
.so man.macros
.TH "::listx remove" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx remove \- Removing from lists
.SH "SYNOPSIS"
\fB ::listx remove \fIlist\fR \fIselector\fR...
.BE
.SH "DESCRIPTION"
.PP
This command takes a \fIlist\fR and one or more \fIselectors\fR as
its arguments and returns a new list \fBnot\fR containing the selected
elements of the input \fIlist\fR. In other words, it returns a list with
the selected elements removed from it. As such it is the complement
to the subcommand \fBindex\fR.
.PP
If a single \fIselector\fR is specified after the \fIlist\fR the
command computes the selection specified by that selector, removes it
from the \fIlist\fR and returns that as its own result.
.PP
If more than one \fIselector\fR is specified and all of them select
a single element the command removes all the selected elements from
the list and returns the result as its own result.
.PP
If more than one \fIselector\fR is specified the command computes the
selections specified by each of these selectors, removes each
selection from a duplicate of the input list and then returns a
list containing these results as its own result.
.PP
The various possible forms for a \fIselector\fR are described in a separate
manpage, \fBselectors\fR.
.SH "EXAMPLES"
.CS
tclsh> ::listx remove {a b a f a b e} 0
b a f a b e
tclsh> ::listx remove {a b a f a b e} 0 4
b a f b e
tclsh> ::listx remove {a b a f a b e} {0 4}
b a f b e
tclsh> ::listx remove {a b a f a b e} 0 {0 4}
{b a f a b e} {b a f b e}
tclsh> ::listx remove {a b a f a b e} {1 ... | 2}
a a a e
tclsh> ::listx remove {a b a f a b e} {0 ... | 2}
b f b
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
list, remove, selection

