'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx replace.n
'\" 
.so man.macros
.TH "::listx replace" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx replace \- Replace elements in a list with new elements
.SH "SYNOPSIS"
\fB ::listx replace \fIlist\fR \fIfirst\fR \fIlast\fR ?\fIelement\fR...?
.BE
.SH "DESCRIPTION"
.PP
This subcommand returns a new list formed by replacing one or more
elements of \fIlist\fR with the \fIelement\fR arguments.  \fIfirst\fR
and \fIlast\fR specify the first and last index of the range of
elements to replace.  0 refers to the first element of the list, and
\fBend\fR (or any abbreviation of it) may be used to refer to the last
element of the list.  If \fIlist\fR is empty, then \fIfirst\fR and
\fIlast\fR are ignored.

If \fIfirst\fR is less than zero, it is considered to refer to the
first element of the list.  For non-empty lists, the element indicated
by \fIfirst\fR must exist.

If \fIlast\fR is less than zero but greater than \fIfirst\fR, then any
specified elements will be prepended to the list.  If \fIlast\fR is
less than \fIfirst\fR then no elements are deleted; the new elements
are simply inserted before \fIfirst\fR.

The \fIelement\fR arguments specify zero or more new arguments to be
added to the list in place of those that were deleted.  Each
\fIelement\fR argument will become a separate element of the list.  If
no \fIelement\fR arguments are specified, then the elements between
\fIfirst\fR and \fIlast\fR are simply deleted.  If \fIlist\fR is
empty, any \fIelement\fR arguments are added to the end of the list.
.SH "EXAMPLES"
.CS
tclsh> ::listx replace {a b c d e} 1 3 foo
a foo e

tclsh> ::listx replace {a b c d e} 1 0 foo
a foo b c d e

tclsh> ::listx replace {a b c d e} -2 -1 foo
foo a b c d e
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
element, list, replace
