'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx search.n
'\" 
.so man.macros
.TH "::listx search" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx search \- Searching through lists
.SH "SYNOPSIS"
\fB ::listx search \fR?\fIoptions\fR? \fIlist\fR \fIpattern\fR...
.BE
.SH "DESCRIPTION"
.PP
This command searches the elements of \fIlist\fR to see if one matches
\fIpattern\fR.  If so, the command returns the index of the first
matching element.  If not, the command returns \fB-1\fR.
.PP
The first three options determine how the elements of the list are to
be matched against \fIpattern\fR. The last three options then modify
the process of matching elements somewhat, as explained below.
.TP
\fB-exact\fR
The list element must contain exactly the same string as
\fIpattern\fR.
.TP
\fB-glob\fR
\fIPattern\fR is a glob-style pattern which is matched against each
list element using the same rules as the \fBstring match\fR
command.
.TP
\fB-regexp\fR
\fIPattern\fR is treated as a regular expression and matched against
each list element using the rules described in the \fBre_syntax\fR
reference page.
.TP
\fB-nocase\fR
Whatever mode to match elements was chosen, it is instructed to
disregard the case of characters while comparing pattern and match
candidate.
.TP
\fB-all\fR
Instructs the command to find \fBall\fR possible matches instead of
the first one. The result of the command will be a list containing the
indices of all the matching elements instead of the single index for
the first match.
.TP
\fB-not\fR
Usage of this option reverses the match condition. Now the command
searches for elements \fBnot\fR matching the pattern.
.TP
\fB--\fR
This options tells the command that all following arguments are no
options anymore, even if they should start with a '-'.
.PP
If the \fImode\fR is omitted then it defaults to \fB-glob\fR.
.PP
The command allows the usage of more than one \fIpattern\fR. In that
case the final result will be a list containing the results for each
of the patterns as its elements.
.SH "EXAMPLES"
.CS
tclsh> ::listx search -exact {a b a f a b e} f
3
tclsh> ::listx search -all -exact {a b a f a b e} a
0 2 4
tclsh> ::listx search -not -exact {a b a f a b e} a
1
tclsh> ::listx search -not -all -exact {a b a f a b e} a
1 3 5 6
tclsh> ::listx search -all -exact {a b a f a b e} a e
{0 2 4} {6}
tclsh> ::listx search -not -exact {a b a f a b e} a e
1 0
tclsh> ::listx search -not -all -exact {a b a f a b e} a e
{1 3 5 6} {0 1 2 3 4 5}
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
list, searching
