'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx, selectors.n
'\" 
.so man.macros
.TH "::listx, selectors" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx, selectors \- Selecting from lists
.BE
.SH "DESCRIPTION"
.PP
Selectors for elements of a list as used by the subcommands \fBindex\fR
and \fBremove\fR come in three main varieties,
as explained below.
.PP
.TP
Single selectors
are either of the form \fInumber\fR, or of the form \fI'end'-number\fR.
They select a single item from the \fIlist\fR.
.TP
A Multi-Selector
is simply a list of single selectors. It selects all the elements
selected by the single selectors it contains.
.TP
range
Ranges are specified by lists too, but as they contain special symbols
it is no problem to distinguish them from multi-selectors.
A fully specified range contains a start index, an end index and a
stride value definining the distance between selected elements. Start
and end index come first and are separated by \fI...\fR. The stride
is last, separated by \fI|\fR from the rest. All elements except the
separators are optional, but at least one of them must be provided.
A missing start index defaults to 0. A missing end index defaults
to 'end'. A missing stride defaults to 1. Negative values and 0 are not
allowed as stride.
.SH "EXAMPLES"
.CS
Single selectors: 0, end, end-4, 5
Multi-selector:   {0 4}
Range:            {1 ... | 2} => {1 ... end | 2}
                  {0 ... | 2} => {0 ... end | 2}
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
list, index, selection, selectors

