'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx split.n
'\" 
.so man.macros
.TH "::listx split" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx split \- Splitting a list
.SH "SYNOPSIS"
\fB ::listx split \fR?-group? ?--? \fIlist\fR \fIstride\fR
.BE
.SH "DESCRIPTION"
.PP
The subcommand \fBsplit\fR takes some options, a \fIlist\fR and a
number, the \fIstride\fR as its arguments and returns a list
containing non-overlapping sublists of the argument list. The sublists
contain all elements from the argument list, the options and the
stride determine which element goes into what sublist.
.PP
See the subcommand \fBmerge\fR for the complementary functionality.
.PP
If the option \fI-group\fR is present the first sublist will contain
the first \fIstride\fR values from the \fIlist\fR, the second sublist
the next \fIstride\fR values, and so on until the \fIlist\fR is
exhausted. See the first example. If the length of the \fIlist\fR is
no multiple of \fIstride\fR the last sublist is filled with empty
elements to reach the full length.
.PP
If the option \fI-group\fR is \fBnot\fR present the first sublist
will contain the first element of the \fIlist\fR, the
\fIstride\fR+1'th element, and so on to the end; the second sublist
will contain the second element of the \fIlist\fR, the 
\fIstride\fR+2'th element, and so on to the end, and so on until the
\fIlist\fR is exhausted. See the second example. If the last sublist
is shorter than its predecessors it is filled with empty elements to
reach their length.
.SH "EXAMPLES"
.CS
tclsh> ::listx split -group {a b c d e} 2
{a b} {c d} {e {}}
tclsh> ::listx split {a b c d e} 2
{a c e} {b d {}}
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
list, merging
