'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) stack.n
'\" 
.so man.macros
.TH "stack" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
stack \- Stack accessors
.SH "SYNOPSIS"
\fB ::listx s_push   \fIvar\fR \fIelement\fR
\fB ::listx s_pop    \fIvar\fR
\fB ::listx s_top    \fIvar\fR
\fB ::listx s_dup    \fIvar\fR
.BE
.SH "DESCRIPTION"
.PP
The subcommands described here provide stack-like handling of a list
stored in a variable. That means that new elements are added at one
end of the list and removed from the same end.

The subcommand \fBs_push\fR takes the name of a \fIvar\fRiable,
interprets the contents of that variable as a list/stack and pushes
the new \fIelement\fR onto the stack. The resulting list is returned.

The subcommand \fBs_pop\fR takes the name of a \fIvar\fRiable,
interprets the contents of that variable as a list/stack and removes
the element at the top of the stack. Nothing is returned.

The subcommand \fBs_top\fR takes the name of a \fIvar\fRiable,
interprets the contents of that variable as a list/stack and returns
the element at the top of the stack.

The subcommand \fBs_dup\fR takes the name of a \fIvar\fRiable,
interprets the contents of that variable as a list/stack and
duplicates the element at the top of the stack. Nothing is returned.
.SH "EXAMPLES"
.CS
tclsh> set q {}

tclsh> ::listx s_push q a
a

tclsh> ::listx s_push q b
a b

tclsh> ::listx s_top q
b

tclsh> ::listx s_pop q

tclsh> ::listx s_top q
a

tclsh> ::listx s_dup q

tclsh> puts $q
a a
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
stack, element, list, accessors
