'\" 
'\" Copyright (c) 2000 Andreas Kupries
'\" 
'\" See the file "license.terms" for information on usage and redistribution
'\" of this file, and for a DISCLAIMER OF ALL WARRANTIES.
'\" 
'\" SCCS: @(#) ::listx unique.n
'\" 
.so man.macros
.TH "::listx unique" n 8.2 Tcl "Tcl Built-In Commands"
.BS
'\" Note:  do not modify the .SH NAME line immediately below!
.SH NAME
::listx unique \- Removing duplicate elements from a list
.SH "SYNOPSIS"
\fB ::listx unique \fIlist\fR
.BE
.SH "DESCRIPTION"
.PP
The subcommand \fBunique\fR takes a single \fIlist\fR as argument
and returns a new list with every duplicate entry from the argument
list removed. The order of the remaining elements is unchanged.
.SH "EXAMPLES"
.CS
tclsh> ::listx unique {}
{}
tclsh> ::listx unique {a}
a
tclsh> ::listx unique {a b}
a b
tclsh> ::listx unique {a b a f a b e}
a b f e
.CE
.SH "SEE ALSO"
listx(n)
.SH "CREDITS"
.PP
.SH "KEYWORDS"
list, uniqueness
